Bug 579156 - HIG: Clear log alert window design
Summary: HIG: Clear log alert window design
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fwbackups
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Stewart Adam
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-02 21:58 UTC by Michael Monreal
Modified: 2010-07-23 02:34 UTC (History)
1 user (show)

Fixed In Version: fwbackups-1.43.3-0.9.rc5.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-23 02:34:48 UTC


Attachments (Terms of Use)
Screenshot (17.74 KB, image/png)
2010-04-02 21:58 UTC, Michael Monreal
no flags Details

Description Michael Monreal 2010-04-02 21:58:04 UTC
Created attachment 404242 [details]
Screenshot

If you press the clear button in the log section, you will get this alert window, asking for confirmation. This is good, but the window itself has multiple issues:

a) alert windows don't have a window title
b) the headline should describe the action, more like "Clear old log entries?" than the current "Are you sure?"
c) the buttons should be [Cancel][Clear], not [No][Yes]. This way the user can make sense of the buttons without reading the whole alert window.

More on the topic can be found here¹

[1] http://library.gnome.org/devel/hig-book/stable/windows-alert.html.en

Comment 1 Stewart Adam 2010-06-23 02:09:19 UTC
I've fixed (a) and (b), (c) requires a bit more work since I would have to redo my dialog system... I will work on that in the next release.

Comment 2 Fedora Update System 2010-07-02 00:36:05 UTC
fwbackups-1.43.3-0.9.rc5.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/fwbackups-1.43.3-0.9.rc5.fc13

Comment 3 Fedora Update System 2010-07-02 06:00:40 UTC
fwbackups-1.43.3-0.9.rc5.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/fwbackups-1.43.3-0.9.rc5.fc12

Comment 4 Fedora Update System 2010-07-05 22:07:36 UTC
fwbackups-1.43.3-0.9.rc5.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fwbackups'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/fwbackups-1.43.3-0.9.rc5.fc13

Comment 5 Fedora Update System 2010-07-23 02:27:58 UTC
fwbackups-1.43.3-0.9.rc5.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2010-07-23 02:34:15 UTC
fwbackups-1.43.3-0.9.rc5.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.